ThinkPad Configuration Tips

Introduction

The ThinkPad Configuration utility is a control center to configure your ThinkPad hardware. With this utility, you can setup or change your device configurations for ThinkPad hardware and options. ThinkPad Configuration offers an easy-to-use alternative to Windows Control Panel and Device Manager for most hardware configuration tasks. However, you can still launch Device Manager from ThinkPad Configuration for advanced configuration and troubleshooting.

There are several reasons to use ThinkPad Configration:
Task | For more information, see these topics in the left panel
To enable or disable a ThinkPad hardware device | Double-click Built-in Device Configuration and select a device
To adjust your power management settings | Double-click the Power Management Options and select a topic
To adjust your LCD and external display settings | Double-click Display Device Options and select a topic
To learn about different ways to use ThinkPad Configuration such as Quick Menu and Button Bar modes | Double-click Quick Menu, Full-Screen and Button Bar Views and select a topic
To troubleshoot hardware problems | Double-click System Information and Troubleshooting and select a topic
To get detailed help about a specific setting that you do not understand | Use the What's This help by clicking the [?] symbol in the upper right of any window and then click the setting that you do not understand

Trademarks and Service Marks


Audio

You can enable, configure, or disable the audio function.

  1. Select Enable if you use audio functions, such as wave audio
    2. playback, recording, or Sound Blaster emulation for DOS games.
  2. Select Disable if you do not use audio functions so that other devices can utilize the system resources.

Sounds Properties - This button launches the Sounds Properties control panel where you can associate specific sounds with system events.

Multimedia Properties (some operating systems only) - This button launches the Multimedia Properties control panel where you can set advanced audio features.

 Hints


Docking Station

Docking Station (some systems only)

IRQ Holder for PCI Steering

1st IRQ - If you use PCI devices such as Video Capture, USB devices, CardBus PC cards, or PCI add-in cards in your system, port replicator, or docking station, you must reserve an IRQ resource for these devices to work.

Assign additional IRQs - Normally only one IRQ is assigned for PCI devices because all PCI devices in your system (including those in the docking station) can share a single IRQ. If you need to assign more IRQs, check this box.

Note: You can disable the IRQ for PCI devices in order to free resources for other devices. However, disabling PCI will automatically disable all PCI devices including built-in devices. See your user documentation for your system to determine if you have any PCI devices in your system, port replicator, or docking station.

IDE Device

IDE device in the docking station - Select this when you use IDE devices such as a CD-ROM drive or a second hard disk drive in the docking station.

IDE Channel (some models only) - You have several options on how to enable your IDE device in your docking station:

  • Second: Connects an IDE device in the docking station to the second IDE channel. This does not require any additional IRQ because it uses IRQ 15 which is the same IRQ for the system device bay. However, you can no longer hot/warm swap your devices in the device bay.
  • Third: Connects an IDE device in the docking station to the third IDE channel. This requires an additional IRQ, so you will have probibly need to free an IRQ to use this option. However, hot/warm swapping of IDE devices in the device bay is maintained.

Caution: If you select the third channel for the IDE device in the docking station, be sure to also enable hot/warm swapping in the device bay dialog box. If you use the third channel and do not enable hot/warm swapping, then you can not use IDE devices in the device bay; in other words, only the floppy disk drive and second battery will work in the bay.

Note: The term "device bay" is the generic name of the ThinkPad computer bay, such as an UltraBay or UltraslimBay, which can accept such devices as a CD-ROM drive or a DVD drive. See the user's manual of your computer for the actual name of your bay.

Note: Some ThinkPad models support both 'hot swapping' (swap bay devices when powered on) and 'warm swapping' (swap bay devices while in standby mode) of the IDE devices. Other models only support 'warm swapping.' It may also depend on your operating system. See the user's manual of your computer for details.

Note: The hard disk is never 'hot' or 'warm' swappable: the hard disk must not be removed or installed when the system is powered on, even in standby mode.

Hints


Infrared

Infrared (some systems only)

Infrared - ThinkPad has a special port for wireless communication using infrared signals. The communicating systems should be placed with their infrared ports facing each other.

  • Select Enable to use the infrared port.
  • Select Disable if you do not use the infrared port so that other devices can use the system resources.

Infrared port (some models only) - If your ThinkPad has two infrared ports, this allows you to select which port (or both) that you you want to use.

Note: When you enable the Infrared port, you are enabling the hardware only. There are many different infrared software packages available which use different communication protocols. Be sure to use the same infrared software on both systems that you are connecting via infrared. For example, you might want to use the Windows Infrared Monitor in Control Panel to establish the connection between two machines and then use the Windows file transfer software to transfer files. Or, you might have special software provided with another device such as a hand-held device or an IR LAN access point. In this case, if you experience problems, you should disable any other infrared software that is running on your system such as the Windows Infrared Monitor in the Control Panel.

Mode of operation (some models only) - Select ThinkPad/Generic mode or Sharp mode depending on the system you are communicating with.

  • Select ThinkPad High Speed/Generic IrDA mode when communicating with another ThinkPad, most other notebook computers, and most IR LAN access points. The ThinkPad infrared device driver automatically selects the appropriate mode (ThinkPad mode at 1 Mbps or generic mode at 115 Kbps) depending on the communicating computer's infrared capability.
  • Select Sharp (ASK) mode supports 9600bps data transfer via the COM port interface. Select this mode when you use Sharp(**) Wizard PC(**) or other compatible computers. The COM port must be assigned for this mode.

Enable infrared communication (Windows 95/98 only) - Select this option to enable infrared communication. This setting is the same as Enable infrared communication option of Infrared Monitor applet in Control Panel.

Infrared Monitor (Windows 95/98 only) - This button launches Windows Infrared Monitor applet in Control Panel.

 Hints


Internal Modem

Internal Modem (some systems only)

You can enable, disable, or configure the internal data/fax modem.

Internal modem:

  • Select Enable to use the internal modem.
  • Select Disable if you do not use the internal modem so that other devices can use the system resources.

Modems properties - Click this button to configure your modem or dialing properties.

 Hints


MIDI/Joystick Port

MIDI/Joystick Port (some systems only)

You can attach a MIDI device or a game Joystick to the 15-pin connector on your port replicator or docking station (not on the ThinkPad itself). However, each type of device (MIDI or Joystick) uses different system resources so they are enabled separately.

MIDI port (some models only) - Select Enable when using a MIDI equipment. However, the MIDI device requires an IRQ resource so you should select Disable when you are not using a MIDI device to free this resource for another hardware device.

Joystick port (some models only) - Select Enable when using a joystick for games. This device does not require IRQ resource so you can leave it enabled at all times in case you want to use the Joystick port for games.

 Hints


Parallel Port

Parallel Port (some systems only)

You can enable, disable, or configure the parallel port.

  • Select Enable to use the a parallel port device, such as a printer.
  • Select Disable if you do not use the parallel port so that the other devices can use the system resources.

You can even select the mode of operation for the parallel port by selecting any of the following:

  • Select Bi-directional when you connect a standard printer.
  • Select Uni-directional if you connect a PC/AT compatible device.
  • Select EPP or ECP when you use an EPP/ECP compatible device. You may need to install the appropriate device driver or software for it.

 Hints


PC Card Slots

This button launches the PC Card Properties control panel where you can check PC Card status and other settings. On some models, the following settings are available.

Device status (some models only) - You can enable, disable, or configure the PC Card.

  1. Select Enable if you use the PC Card.
  2. Select Disable if you do not use the PC Card so that other devices can utilize the system resources.

CardBus (some models only) - Select Enable if you use a CardBus card in the system.

IRQ (some models only) - if CardBus is enabled, select a free IRQ such that there is no conflict with other devices.

PC Card Properties (some models only) - This button launches the PC Card Properties control panel where you can check PC Card status and other settings.


Add-on Devices

Device status - You can enable, disable, or configure the Add-on devices like USB device and Mini-PCI card.

  1. Select Enable if you use the Add-on device.
  2. Select Disable if you do not use the Add-on device so that other devices can utilize the system resources.


PCI Device Setup

PCI Device Setup (some systems only)

If you use PCI devices such as Video Capture, USB devices, CardBus PC cards, or PCI add-in cards in your system, port replicator, or docking station, you must reserve an IRQ resource for these devices to work.

IRQ or 1st IRQ (some models only)- Select an IRQ resource from the list to enable PCI devices. Pick an IRQ that does not cause a conflict with another device. You might be prompted to disable a conflicting device to enable the PCI device. If it is OK to disable the other device, then click the Disable Device(s) button.

Assign additional IRQs (some models only) - Normally only one IRQ is assigned for PCI devices because all PCI devices in your system (including those in the docking station) can share a single IRQ. If you need to assign more IRQs, check this box.

Note: You can disable the IRQ for PCI devices in order to free resources for other devices. However, disabling PCI will automatically disable all the PCI devices including built-in devices. See your user documentation for your system to determine if you have any PCI devices in your system, port replicator, or docking station.

Hints


Serial Port

Serial Port (some systems only)

  • Select Enable to enable your serial port as a communications port. You will probibly be prompted to disable a different device such as the infrared port. If disabling the other device is OK, then click the Disable Device(s) button. If you do not want to disable the other device, then see the note below.
  • Select Disable if you are not using your serial port so that a different device can use the resources.

Note: There is one physical 9-pin EIA232 serial port on your ThinkPad that you can use as a communications port. By default, your system has two communications port resources; COM1/COM3 and COM2/COM4. However, you might have more than two communications devices such as the internal modem, a PC Card modem, infrared port, or serial port. As you can see, there are many different communication devices that might compete for the same resources. Therefore, your serial port might be disabled, or might not work properly because it is trying to use the same COM port setting as another device.

If you need three communications devices enabled at the same time, you can create more COM ports. For example, you can use COM1 and COM3 separately to enable 3 communications devices at one time as follows:

Device | COM Setting | IRQ | Memory | DMA channel
Serial Port | COM 1 | IRQ 4 | 03F8 |
Internal modem | COM 2 | IRQ 3 | 02F8 |
Infrared Port | COM 3 | IRQ 15 | 03E8 and O1CO | DMA 0,3

However, this assumes that the IRQ 15 resource is free. If you do not understand these resource settings, Click here for more information about solving resource problems.

Hints


TrackPoint

TrackPoint - This option is for enabling or disabling the TrackPoint on the ThinkPad keyboard.

  • Select Enable (some models only) when you are using the TrackPoint only, or when you are using a standard PS/2 mouse attached externally to the PS/2 port.
  • Select Disable when you do not want to use the TrackPoint, but instead use an externally attached mouse on the serial port or a device that is not compatible with the PS/2 mouse such as a scrolling mouse.
  • Select Automatic (some models only) when you want to use the built-in TrackPoint, but then automatically disable TrackPoint when an external mouse is attached.
  • Select Auto-Disable (some models only) when you want to use the built-in TrackPoint, but then automatically disable TrackPoint when an external mouse is attached (the Auto-Disable only occurs at power-on or reboot, so the external mouse is not "hot attachable").

Mouse Properties - This button launches the Mouse Properties control panel applet where you can change settings for the basic PS/2 mouse function such as Button settings, Pointer types, and pointer Motion. These settings also apply to the basic TrackPoint function.

TrackPoint Properties (some models only) - This button launches the TrackPoint control panel applet used to set the advanced TrackPoint features such as How to Use, Press-to-Select, Scrolling, and Magnify functions.


Touch Pad

Touch Pad (some systems only)

Touch Pad - This option is for enabling or disabling the touch pad on the ThinkPad keyboard.

  • Select Disable when you do not want to use the touch pad, but instead use an externally attached mouse on the serial port or a device that is not compatible with the PS/2 mouse such as a scrolling mouse.
  • Select Automatic when you want to use the built-in touch pad, but then automatically disable touch pad when an external mouse is attached.

Mouse Properties - This button launches the Mouse Properties control panel applet. You can change settings for the basic PS/2 mouse function such as Button settings, Pointer types, and pointer Motion, and for the advanced touch pad features.


Device Bay

Device Bay (some systems only)

The device bay for your system can be enabled for hot or warm swapping. Hot swapping means you can change devices (for example swap the CD-ROM for the floppy disk drive) while you are using the system. Warm swapping means that you have to put your system in standby mode before you swap devices. Check your user manual to see which type of swapping is supported.

Hot/warm swap devices (some models only)
The option name may vary, depending of your model or operating system.
  • Select Enable if you want to use the hot/warm swapping feature for your devices in the device bay. Since the hot/warm swapping requires an IRQ resource (IRQ 15), you might need to disable a different device to enable hot/warm swapping.
  • Select Disable to free the IRQ resource for a different device if you do not need hot/warm swapping ability.
Second IDE devices (some models only)
The option name may vary, depending of your model or operating system.
  • Enable option connects an IDE device in the device bay to the second IDE channel, using IRQ15. Select this option if you do not use an IDE device in the docking station.
  • Select Disable if you do not want to connect it to the second IDE channel.

Caution: (for systems which support UltraBase) With this option, you can only attach or detach a UltraBase. Do not swap devices in UltraBase. For details, check your user manual.

Caution: (for systems which support third IDE) If you enable the third IDE channel for the docking station but do not Enable Hot/warm swap devices or Second IDE devices option for the device bay, you can not use an IDE device in the device bay such as the CD-ROM, HDD, or DVD-ROM. You can still use the diskette drive or a battery pack in the device bay because they are not IDE devices.

Caution: (for some systems which do not support third IDE) This setting is effective only when an IDE device is not attached to the device bay. When an IDE device is attached to the device bay, this setting is ignored and the second IDE device and hot/warm swapping feature is always enabled.

Caution: (for some systems which do not support third IDE) If you do not Enable Hot/warm swap devices or Second IDE devices option, you can not use an IDE device in the device bay such as the CD-ROM, HDD, or DVD-ROM. You can still use the diskette drive or a battery pack in the device bay because they are not IDE devices.

Note: The term "device bay" is the generic name of the ThinkPad computer bay, such as an UltraBay or UltraslimBay, which can accept such devices as a CD-ROM drive or a DVD drive. See the user's manual of your computer for the actual name of your bay.

Note: Some ThinkPad models support both 'hot swapping' (swap bay devices when powered on) and 'warm swapping' (swap bay devices while in standby mode) of the IDE devices. Other models only support 'warm swapping.' It may also depend on your operating system. See the user's manual of your computer for details.

Note: If you enable the second IDE channel for the docking station then the hot/warm swap feature on your system is disabled.

Note: The hard disk is never 'hot' or 'warm' swappable: the hard disk must not be removed or installed when the system is powered on, even in standby mode.

Hints


FlipTouch Display

FlipTouch Display (some systems only)

You can enable, disable, or configure the FlipTouch Display.

FlipTouch Display:

  • Select Enable to use the FlipTouch Display.
  • Select Disable if you do not use the FlipTouch Display so that other devices can use the system resources.

FlipTouch Display Properties - Click this button to configure your FlipTouch Display properties.


ThinkScribe

ThinkScribe (some systems only)

You can enable, disable, or configure the ThinkScribe digital notepad.

ThinkScribe:

  • Select Enable to use the ThinkScribe digital notepad.
  • Select Disable if you do not use the ThinkScribe digital notepad so that other devices can use the system resources.

ThinkScribe Properties - Click this button to configure your ThinkScribe digital notepad properties.


Debug Port

Debug Port (some systems only)

You can enable, disable, or configure the Debug Port. This device is for debugging purpose only using a special cable. Normally it should be disabled.

Debug Port:

  • Select Enable to use the Debug Port.
  • Select Disable if you do not use the Debug Port so that other devices can use the system resources.


Power Management Settings

You can click on this button to go to the Power Management control panel. Depending on your ThinkPad's power management, you will see some types of settings. The ThinkPad bitmap [image] on a tab identifies options that are specific to the ThinkPads.

Note: To get details about specific power management settings, use the What's this help button, [?], in the upper right of the Power Management Properties control panel.


Power Scheme Buttons

Power Scheme Buttons (Windows 98 or later only)

You can select a Power Scheme by clicking on the corresponding button on the tool bar or the button bar. You can see the detail settings by clicking on the Power Management icon.

Disable Shut-off Timers scheme

High System Performance scheme

High Battery Performance scheme

Customize scheme

Disable Shut-off Timers scheme - Select this scheme to disable all the timers that shut off the system and devices when not in use. This setting is good for presentation.

High System Performance scheme - Select this scheme for maximum system performance. When operating on battery, the battery life may be shorter than that of the High Battery Performance scheme.

High Battery Performance scheme - Select this scheme to run the system in a power managed state while maintaining reasonable system performance. This setting is good for extending battery life.

Customize scheme - Select this scheme to customize the timer settings to suit your needs. The timer values that you put at the top of the lists in the Power Scheme will be in effect.


Power Mode Buttons

Power Mode Buttons (Windows 95 only)

The system supports several power modes suitable for your operating environments; AC powered or battery powered. The system automatically switches from battery mode to AC mode (or vice versa), when you connect or disconnect the AC adapter. In each operating environment, you can change the power mode as you need, by pressing the Fn+F11 key combination. You can also select a power mode by clicking on the corresponding button on the tool bar or the button bar. You can see the detail settings by clicking on the Power Management icon.

High Performance mode / Maximum Performance mode

Automatic mode / Maximum Battery Life mode

Customized mode

High Performance mode / Maximum Performance Mode - It sets the system to the highest performance but in battery operation, battery power consumption may be maximum.

Automatic mode / Maximum Battery Life mode - It sets the system to a power-managed state to conserve the battery power. It is recommended power mode for battery operation.

Customized mode - It sets the system to customized power mode which you set each power management parameters, such as processor speed or hard disk off timer.

The screen blanking buttons enable or disable the power management timers.

Disable Screen Blanking mode

Enable Screen Blanking mode

Disable Screen Blanking mode - Disable the screen blanking. When disabled, screen off timer, standby timer, and suspend timer are ignored so that the screen will not be blank nor the system will not enter suspend nor hibernation mode automatically. This is suitable when you use presentation software or play back motion video; you don't have to hit a key to keep the screen from being off.

Enable Screen Blanking mode - Enable the screen blanking. When enabled, the original values of these timers are restored.


LCD Settings

Brightness when running on batteries(some models only):

  • Select High if you want brighter LCD display on battery power, but this will use more battery power.
  • Select Normal to conserve battery power.

Screen expansion:

  • On 800-by-600 LCD or greater - Select Enable to expand a 640-by-480 VGA image to fill a larger LCD screen. However, the image on the screen may be distorted.
  • On 640-by-480 LCD - This option enables or disables the vertical data expansion from 350 or 400 line mode to 480 lines.


Display

Attaching an CRT Display - Attach a CRT to the External Display port and then click the display device button on the tool bar or the button bar, or press Fn+F7. If you have trouble with your system using the external display, see the Frequently Asked Questions in you user documentation or on the ThinkPad service and support Website.

Display Properties - Click the Display button to set Display Properties such as resolution, color palette, and monitor type. The Display Properties control panel contains display and desktop settings that are applied to your LCD and external CRT display.

Note: See Video Capture/TV out settings if you are using a TV as your external display device. TV out uses a different port and requires different settings.


Video Capture/TV Out

Video Capture/TV Out(some systems only)

General

Video out port (TV out) - Click on Enable if you want to display information on a TV connected to the Video-Out connector.

Note: If you enable TV out, then external CRT display port is disabled, and Fn+F7 works only to switch between LCD and TV.

Color standard - When you attach a TV, select the appropriate color standard for your country: NTSC or PAL.

Overscan/underscan:

    Select Overscan to display the screen image in normal size on the TV. In this mode, some original screen images located near the edges may not be displayed.
    Select Underscan to display the whole screen image on the TV. In this mode, the screen image may be distorted because the image is scaled down.

Flicker free:

    Select On to eliminate a flicker on the TV screen image
    Select Off to watch full screen images such as MPEG, AVI, or photo data on the TV with better quality

IRQ Holder for PCI Steering

1st IRQ - You can assign IRQs for PCI devices such as the Video Capture or an adapter in the docking station such as SCSI controller or PCI add-in cards.

Assign additional IRQs - Normally only one IRQ is assigned for PCI devices because all PCI devices in your system (including those in the docking station) can share a single IRQ. If you need to assign more IRQs, check this box.

Note: You can disable the IRQ for PCI devices in order to free resources for other devices. However, disabling PCI will automatically disable built-in PCI devices such as the Video Capture function. See your user documentation for your system to determine if you have any built-in PCI devices in your system.

 Hints


Display Device Buttons

When you connect an external display device to the connector, you can switch the display device by clicking on one of the following buttons on the tool bar or the button bar.

Note: TV may not be available, depending on your model.

LCD Only mode

CRT Display Only mode

Both LCD and CRT Display mode

TV Only mode

Both LCD and TV mode

Note: You can switch between the modes using Fn + F7 combination. However, Fn + F7 only works for one type of external device at a time. For example, if you are set for external CRT display, then Fn + F7 only switches between LCD and CRT Display; in this case, TV-out port does not work using Fn+F7 until you press TV button on the tool bar or the button bar (some systems only).


Accessibility Options

Fn key lock - Fn key lock provides an easy way for handicapped people who must type with one hand, a mouthstick, or a headstick to use the Fn key function. When the option is enabled, you can press the Fn key to keep it in a pressed condition; then press the desired function key. The action is equivalent to pressing the required key simultaneously with the Fn key. When you press the Fn key twice, the state is locked until you press the Fn key again.

Audible password prompting (Password beep) (some models only) - Enable Audible password prompting to play a tone when the system is waiting for power-on/hard disk/supervisor passwords. Tones will also be played when the entered password matches or does not match the configured password.

Speaker indicator (some models only) - When Speaker indicator is enabled, every time the speaker sounds the speaker indicator appears on the status LCD panel above the keyboard.


Quick Menu

Once you are familiar with your ThinkPad and its configuration, you can access any settings from the Quick Menu icon on the lower right of your desktop on the task bar system icon tray. If the icon does not appear there, start the ThinkPad Configuration utility, and then select Options from the menu bar, select Customize, and then select Add ThinkPad Configuration icon on Task Bar System Tray.


Full Screen View

For beginner users, the Full Screen View offers an easy-to-use way to understand and configure your ThinkPad hardware.

Each device and option is accessable with an array of buttons that surround a dynamic picture of your ThinkPad. As you move your pointer across different hardware device buttons, the location of that hardware is shown to you in the center! This feature helps you to learn about your ThinkPad.

Using tool bar buttons for quick change

The tool bar in the Full Screen View is another set of smaller buttons under the menu bar. The tool bar is suitable for changing the display device, Power Scheme, or Power Mode dynamically by clicking the appropriate buttons. The following is an example, and may vary depending on your operating system or model:

  • Display Device Buttons
  • Power Scheme Buttons
  • Power Mode Buttons
  • Launch Device Manager Button
  • Show Allocated Resources View Button


Button Bar view

If you want instant access to all of the ThinkPad Configuration function, including the tool bar functions, use the Button Bar view. From the Options menu click on "Switch To Button Bar mode" to go to Button Bar. The following is an example, and may vary depending on your operating system or model:

You can return to the Full Screen view at anytime by clicking this icon:


Solving Hardware Problems

ThinkPad Configuration tries to keep all of your hardware operational by managing all of the system resources automatically.

Understanding System Resources
System resources such as IRQ, DMA, I/O address, and memory address must be configured without conflict with other devices. ThinkPad Configuration tries to automatically resolve potential conflicts with the following types of system resources:

  • IRQ - An interrupt request, or IRQ, is a signal from the devices to the processor. The system has 16 levels of IRQs that must be configured without conflict.
  • DMA - A direct memory access, or DMA, is a mechanism to transfer data between memory and devices without a processor intervention to help the overall system performance. The system has 8 DMA channels and must be configured without conflict.

Solving System Resource Conflicts
When you add many new devices to your ThinkPad through PC Card slots or Docking Stations, you might exceed the number of IRQs (16) or DMAs (8) allowed in the Windows operating system. The most common problem that you might need to solve is the IRQ conflict.

When you use ThinkPad Configuration to configure built-in hardware devices, you are automatically notified if you cause a conflict and are given the option to Disable Device(s) that are conflicting. If you do not want to disable the conflicting device, then:

  1. Click Undo or Cancel to exit the device conflict warning message.
  2. Click the Launch Device Manager button on the tool bar or the button bar.
  3. Click the Show Allocated Resources View button on the tool bar or the button bar.
  4. Use the Allocated Resources View as a reference to understand the current resource mapping.
  5. Use Device Manager to determine a different device to disable, or find some other way to resolve the conflict.

When you do not use ThinkPad Configuration to configure a new device such as a PC Card or a card in the docking station, you might not be notified about a resource conflict even when one occurs. You should go to Device Manager after installing any new device to make sure that the card installed correctly.


System Information

This button displays information about your system including BIOS revision number, your ThinkPad model number and serial number, and other information that is helpful when diagnosing system hardware problems. It also displays battery information (some systems only).


Allocated Resources View

The Allocated Resources View is a tool you can use to visualize all of the system resources in use to enable your hardware devices. The view shows the resource values currently in use and the device that is using the resource.

The General section displays the entire resource map for every device. You can sort the map by resource type by clicking on the column header for the resource type you are interested in (for example IRQ). The other sections display the resource maps according to IRQ, DMA, I/O address and Memory address settings for each device.

It is recommended that you click on the Show Allocated Resources View button on the tool bar or the button bar whenever you are planning to install new devices or work with Device Manager. The resource map gives you a global view of your system resources so that you can better understand how to manage your system resources when configuring devices.


Using Windows Device Manager

Device Manager lists all the hardware devices on your computer and the associated device drivers. The list is in a tree format so that you can click on the [+] symbol to expand the list by device category.

The ThinkPad Configuration program lets you access Windows Device Manager so that you can get device status and to troubleshoot and solve device problems.

  • Getting device status - Select a device and then click the Properties button to get General, Driver, and Resources information for that device. For example, you can find device driver version information and update a driver from the Driver tab.
  • Solving device problems - You can instantly spot device problems in Device Manager by looking for certain icons next to a device:
    1. This icon means that a device has been disabled. Select the device and then click the Properties button to find out if the device can be re-enabled. You might have to select the Resources tab to change the Basic Configuration setting to resolve a resource conflict before you re-enable the device.
    2. This icon means that a device has a problem. Select the device and then click the Properties button to find out more about the problem and how to solve it.

    In some cases, you might have to disable one device in order get a different device to work. This occurs because there are too few system resources to have all of your hardware working at the same time (typically this happens with PC Cards or Docking Stations). To disable a device, select the device and then click the Properties button. Check the box that says Disable in this hardware profile and then click OK.


Security Information

Security Information (Windows 2000 or later only / some systems only)

Passwords

By using passwords, you can help prevent your computer from being used by others.

Windows passwords

After you set a Microsoft Windows password, a prompt is displayed on the screen each time the Windows operating system starts. Type your password at the prompt. You cannot use the computer unless you type the correct password.

You can also keep your ThinkPad more secured by clicking Enable password, enabling screen saver password and resume password when the computer resumes from a power saving mode, such as Standby or Hibernate.

If you want to change your Windows password, click Change password, and then follow the on-screen instructions. You must be logged on as an administrator or as a member of the Administrators group to change passwords.

For more information about Windows passwords, refer to Microsoft Help and Support: On the desktop, click Start, and then click Help and Support (Help in Windows 2000). Click Security and administration (Security in Windows 2000), and then read the topics about Windows passwords that Microsoft provides.

BIOS passwords

BIOS passwords offer another level of protection, helping to block access even before the Windows operating system starts up. There are three passwords that are provided by the Basic Input Output System (BIOS) as follows:

  • Power-on
  • Hard disk
  • Supervisor

The Power-on password is required whenever the computer is turned on. Unless the correct password is typed at the prompt, the computer will remain unusable.

Important: If you type the power-on password incorrectly three times, you will be unable to start the operating system and use the computer. You will have to take your computer to an reseller or a marketing representative to have the password canceled.

The power-on password does not prevent restarting your computer and the operating system by pressing Ctrl + Alt + Delete.

The Hard disk password can help protect data stored in hard disk. You are prompted to provide the hard disk password when you turn on your computer. It is possible, however, for someone to remove your hard disk. Without the password, the hard disk cannot be read. Even if someone removed your hard disk and installed it into a computer without a power-on password, data on the hard disk could not be accessed without the hard disk password.

Two types of hard disk password help protect the information stored on the hard disk.

  • User hard disk password
  • Master hard disk password, which requires a user password

When a user hard disk password is set, no one can get access to files and applications on the hard disk without first typing that password.

The master password can be set and used only by a system administrator. Like a master key, it enables the administrator to get access to any hard drive in a system. The administrator sets the master password, and no one else knows it. Then the administrator sets a user password for each computer in the network, and tells each user the password for his or her computer. The user can then change the user password as desired; the administrator can still get access by using the master password.

The Supervisor password protects the system information stored in the BIOS Setup Utility. Without it, no one can change the configuration of the computer. It provides the following security features:

  • If a supervisor password is set, a password prompt appears when you try to start the BIOS Setup Utility. Unauthorized users cannot change the specific BIOS parameters.
  • The system administrator can use the supervisor password to get access to a computer even if the user of that computer has set a power-on password. The supervisor password overrides the power-on password.
  • If both a supervisor password and a power-on password are set, you can do the following only if you have the supervisor password:
    • Changing the boot sequence
    • Deleting the power-on password
    • Changing or deleting the supervisor password
    • Enabling or disabling the Wake on LAN and Flash over LAN features
    • Changing date and time
    • Enabling or disabling the Lock BIOS Setting feature
    • Setting Minimum Length feature
    • Changing the setting for the Security Chip
    • Setting Rescue and Recovery workspace
    • Enabling or disabling the Flash BIOS Updating by End-Users feature
    • Enabling or disabling the Boot Device List F12 option

Security chip (some systems only)

Strict security requirements are imposed on network client computers that transfer confidential information electronically. Your ThinkPad computer has an embedded Security Chip, a cryptographic microprocessor.


Drivers Not Installed

Drivers Not Installed (Windows 2000 or later only / some systems only)

The drivers for some devices -- Audio, Modem, Ethernet connection, Wireless connection, or Power Management -- may not be installed on your ThinkPad computer. This button displays a list of those devices. If you click the Install Driver button, you can install the device driver by using the ThinkPad Software Installer.

Note: You need Administrator privileges to install drivers.


Hints

Note (Windows 95 only): - When you click on OK or Apply button on the dialog, you may occasionally see a 'Device Setting Changed' message from Windows 95 prompting you to reboot the system. Ignore it by selecting 'No'. Otherwise, the setting will not complete and you will see an error next time you start up the system.


Color Standard (NTSC/PAL)

Countries which support NTSC (National Television Standard Committee)

CANADA
CHILE
COLOMBIA
ECUADOR
INDONESIA
JAPAN
KOREA
MAYANMAR
MEXICO
PERU
PHILIPPINES
U.S.A.
VENEZUELA

Countries which support PAL (Phase Alternation by Line)

AUSTRALIA, NETHERLAND
AUSTRIA, NEW ZEALAND
BELGIUM, NORWAY
BRUNEI, PORTUGAL
CHINASAN, MARINO
DENMARK, SINGAPORE
FINLAND, SRI LANKA
GERMANY, SPAIN
ICELAND, SWEDEN
IRELAND, SWITZERLAND
ITALY, THAILAND
MALAYSIA, UNITED KINGDOM
MALTA, YUGOSLAVIA


Trademarks and Service Marks

The following terms are trademarks or service marks of Lenovo in the United States or other countries:
ThinkPad

The following terms are trademarks of other companies:
Microsoft Microsoft Corporation
Windows Microsoft Corporation
PCMCIA Personal Computer Memory Card International Association
Hewlett-Packard Hewlett-Packard Company
HP OmniBook 300 Hewlett-Packard Company
HP LX100/LX200 Hewlett-Packard Company
Sharp Sharp Corporation
Wizard PC Sharp Corporation
Mind Path Mind Path Technologies
Sound Blaster Creative Labs, Inc.
CardWizard SystemSoft Corporation